Update user settings for a deployment resource

PUT /deployments/{deployment_id}/{resource_kind}/{ref_id}/user_settings

Replaces the component-level user-defined settings for the specified resource kind in the deployment. All existing component-level user settings are overwritten with the provided values. Submitting an empty object will remove all component-level user settings for the resource. This endpoint does not support tier/topology-level user settings overrides.

Path parameters

  • deployment_id string Required

    Identifier for the Deployment

  • resource_kind string Required

    The kind of resource

    Values are elasticsearch, kibana, apm, appsearch, enterprise_search, or integrations_server.

  • ref_id string Required

    User-specified RefId for the Resource (or '_main' if there is only one)

application/json

Body Required

The user settings to apply to the deployment resource. Replaces all existing user settings.

  • user_settings object Required

    A JSON object containing the user settings for the resource. Replaces all existing user settings when submitted via PUT.

Responses

  • 200 application/json

    The updated user settings for the deployment resource

    Hide response attribute Show response attribute object
    • user_settings object Required

      A JSON object containing the user settings for the resource. Replaces all existing user settings when submitted via PUT.

  • 400 application/json
    • Plan or user settings validation failed. (code: clusters.cluster_invalid_plan)
    • The deployment plan could not be applied; see the error message. (code: user_settings.update_failed)
    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Values are clusters.cluster_invalid_plan or user_settings.update_failed.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

  • 404 application/json
    • The Deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)
    • The Resource specified by {ref_id} cannot be found. (code: deployments.deployment_resource_not_found)
    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Values are deployments.deployment_not_found or deployments.deployment_resource_not_found.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

PUT /deployments/{deployment_id}/{resource_kind}/{ref_id}/user_settings
curl \
 --request PUT 'https://api.elastic-cloud.com/api/v1/deployments/{deployment_id}/{resource_kind}/{ref_id}/user_settings' \
 --header "Content-Type: application/json" \
 --data '{"user_settings":{}}'